#!/bin/bash
set -exuo pipefail

apt-get update

PACKAGES=("git" "clang-13" "libclang-dev" "cmake" "make")
case "${TARGET}" in
    aarch64-unknown-linux-gnu|aarch64-unknown-linux-musl)
        apt-get install -yq "${PACKAGES[@]}" crossbuild-essential-arm64 binutils-aarch64-linux-gnu # {cpp,g++,gcc}-aarch64-linux-gnu libc-dev-arm64-cross
    ;;
    arm-unknown-linux-gnueabi|arm-unknown-linux-musleabi)
        apt-get install -yq "${PACKAGES[@]}" {cpp,g++,gcc}-arm-linux-gnueabi linux-libc-dev-armel-cross
    ;;
    arm-unknown-linux-gnueabihf|arm-unknown-linux-musleabihf)
        apt-get install -yq "${PACKAGES[@]}" {cpp,g++,gcc}-arm-linux-gnueabihf linux-libc-dev-armhf-cross
    ;;
    armv7-unknown-linux-gnueabihf|armv7-unknown-linux-musleabihf)
        apt-get install -yq "${PACKAGES[@]}" {cpp,g++,gcc}-arm-linux-gnueabihf linux-libc-dev-armel-cross
    ;;
    x86_64-unknown-linux-musl)
        apt-get install -yq "${PACKAGES[@]}" musl-tools
    ;;
    *)
        apt-get install -yq "${PACKAGES[@]}"
    ;;
esac
